.dev
REST APIAPI Reference

Objects

GET
/v1/inventory/objects

Response Body

curl -X GET "https://example.com/v1/inventory/objects"
POST
/v1/inventory/objects

Response Body

curl -X POST "https://example.com/v1/inventory/objects"
POST
/v1/inventory/objects{batchDelete}

Path Parameters

batchDelete*string

Response Body

curl -X POST "https://example.com/v1/inventory/objectsstring"
POST
/v1/inventory/objects{batchUpdate}

Path Parameters

batchUpdate*string

Response Body

curl -X POST "https://example.com/v1/inventory/objectsstring"
GET
/v1/inventory/objects/{id}

Path Parameters

id*string
id*string
id*string

Response Body

curl -X GET "https://example.com/v1/inventory/objects/string"
DELETE
/v1/inventory/objects/{id}

Path Parameters

id*string
id*string
id*string

Response Body

curl -X DELETE "https://example.com/v1/inventory/objects/string"
PUT
/v1/inventory/objects/{id}

Path Parameters

id*string
id*string
id*string

Response Body

curl -X PUT "https://example.com/v1/inventory/objects/string"
POST
/v1/inventory/objects/apply-deltas

Response Body

curl -X POST "https://example.com/v1/inventory/objects/apply-deltas"